version: '3.8'

services:
  dlcm-administration:
    image: $DOCKER_REGISTRY/dlcm-solution:$DLCM_SOLUTION_VERSION
    container_name: full-administration
    restart: always
    volumes:
      - /etc/timezone:/etc/timezone:ro
      - dlcm-full-administration-tmp-volume:/tmp
      - dlcm-full-home-volume:/home/dlcm/:rw
    command: java $JVM_OPTIONS -jar /dlcm-solution.war $SPRING_OPTIONS --spring.cloud.config.profile=v22,administration,administration-v22
    ports:
      - '$IP_ADDRESS:$DLCM_ADMINISTRATION_PORT:$DLCM_ADMINISTRATION_INTERNAL_PORT'
    networks:
      - fullnet
      - infranet
  dlcm-ingestion:
    image: $DOCKER_REGISTRY/dlcm-solution:$DLCM_SOLUTION_VERSION
    container_name: full-ingestion
    cap_add:
      - LINUX_IMMUTABLE
    restart: always
    volumes:
      - /etc/timezone:/etc/timezone:ro
      - dlcm-full-ingestion-tmp-volume:/tmp
      - dlcm-full-home-volume:/home/dlcm/:rw
    command: java $JVM_OPTIONS -jar /dlcm-solution.war $SPRING_OPTIONS --spring.cloud.config.profile=v22,ingestion
    ports:
      - '$IP_ADDRESS:$DLCM_INGESTION_PORT:$DLCM_INGESTION_INTERNAL_PORT'
    networks:
      - fullnet
      - infranet
  dlcm-storagion1:
    image: $DOCKER_REGISTRY/dlcm-solution:$DLCM_SOLUTION_VERSION
    container_name: full-storagion1
    cap_add:
      - LINUX_IMMUTABLE
    restart: always
    volumes:
      - /etc/timezone:/etc/timezone:ro
      - dlcm-full-storagion1-tmp-volume:/tmp
      - dlcm-full-storagion1-normal-storage-volume:/home/dlcm/storage/normal:rw
      - dlcm-full-storagion1-secured-storage-volume:/home/dlcm/storage/secured:rw
    command: java $JVM_OPTIONS -jar /dlcm-solution.war $SPRING_OPTIONS --spring.cloud.config.profile=v22,storagion1,storagion1-v22
    ports:
      - '$IP_ADDRESS:$DLCM_STORAGION1_PORT:$DLCM_STORAGION1_INTERNAL_PORT'
    networks:
      - fullnet
      - infranet
  dlcm-storagion2:
    image: $DOCKER_REGISTRY/dlcm-solution:$DLCM_SOLUTION_VERSION
    container_name: full-storagion2
    cap_add:
      - LINUX_IMMUTABLE
    restart: always
    volumes:
      - /etc/timezone:/etc/timezone:ro
      - dlcm-full-storagion2-tmp-volume:/tmp
      - dlcm-full-storagion2-normal-storage-volume:/home/dlcm/storage/normal:rw
      - dlcm-full-storagion2-secured-storage-volume:/home/dlcm/storage/secured:rw
    command: java $JVM_OPTIONS -jar /dlcm-solution.war $SPRING_OPTIONS --spring.cloud.config.profile=v22,storagion2,storagion2-v22
    ports:
      - '$IP_ADDRESS:$DLCM_STORAGION2_PORT:$DLCM_STORAGION2_INTERNAL_PORT'
    networks:
      - fullnet
      - infranet
  dlcm-accession:
    image: $DOCKER_REGISTRY/dlcm-solution:$DLCM_SOLUTION_VERSION
    container_name: full-accession
    cap_add:
      - LINUX_IMMUTABLE
    restart: always
    volumes:
      - /etc/timezone:/etc/timezone:ro
      - dlcm-full-accession-tmp-volume:/tmp
      - dlcm-full-home-volume:/home/dlcm/:rw
    command: java $JVM_OPTIONS -jar /dlcm-solution.war $SPRING_OPTIONS --spring.cloud.config.profile=v22,accession
    ports:
      - '$IP_ADDRESS:$DLCM_ACCESSION_PORT:$DLCM_ACCESSION_INTERNAL_PORT'
    networks:
      - fullnet
      - infranet
  dlcm-portal:
    image: $DOCKER_REGISTRY/dlcm-portal:$DLCM_PORTAL_VERSION
    container_name: full-portal
    restart: always
    ports:
      - '$IP_ADDRESS:$DLCM_PORTAL_PORT:8080'
    volumes:
      - /etc/timezone:/etc/timezone:ro
      - dlcm-full-portal-volume:/usr/share/nginx/html/assets/configurations:rw
    networks:
      - fullnet
      - infranet
volumes:
  dlcm-full-home-volume:
    external: true
  dlcm-full-storagion1-normal-storage-volume:
    external: true
  dlcm-full-storagion1-secured-storage-volume:
    external: true
  dlcm-full-storagion2-normal-storage-volume:
    external: true
  dlcm-full-storagion2-secured-storage-volume:
    external: true
  dlcm-full-portal-volume:
    external: true
  dlcm-full-ingestion-tmp-volume:
  dlcm-full-storagion1-tmp-volume:
  dlcm-full-storagion2-tmp-volume:
  dlcm-full-accession-tmp-volume:
  dlcm-full-administration-tmp-volume:
networks:
  fullnet:
    name: fullnet
    driver: bridge
  infranet:
    external: true
